Skip to main content
GET
/
api
/
svc
/
v1
/
audit-logs
Get Audit Logs
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/audit-logs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "requestPath": "<string>",
      "resourceId": "<string>",
      "resourceName": "<string>",
      "resourceFqn": "<string>",
      "tenantName": "<string>",
      "clusterId": "<string>",
      "workspaceId": "<string>",
      "subject": {
        "subjectId": "<string>",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>",
        "subjectPatName": "<string>",
        "subjectControllerName": "<string>",
        "subjectExternalIdentitySlug": "<string>"
      },
      "metaData": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total": 100,
    "offset": 0,
    "limit": 10
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer | null
default:100

Number of items per page

Required range: 1 <= x <= 1000
Example:

10

offset
integer | null
default:0

Number of items to skip

Required range: x >= 0
Example:

0

metric
enum<string>
required

Either list or count

Available options:
list,
count
action
string | null

Action

resourceId
string | null

Resource Id

resourceType
string | null

Resource Type

resourceName
string | null

Resource Name

resourceFqn
string | null

Resource Fqn

clusterId
string | null

Cluster Id

workspaceId
string | null

Workspace Id

subjectSlug
string | null

Slug of Subjects (comma separated)

start
string | null

Start Time (ISO 8601)

end
string | null

End Time (ISO 8601)

Response

200 - application/json

Returns list/count of audit logs according to filter

data
ActivityLog · object[]
required

Array of ActivityLog

pagination
Pagination · object
required

Pagination information